function [f] = calcFmatrix (Xcoord1, Ycoord1, Xcoord2, Ycoord2, r, g1, g2)
theta = atan((Ycoord2-Ycoord1)/(Xcoord2-Xcoord1));
length = sqrt((Ycoord2-Ycoord1)^2+(Xcoord2-Xcoord1)^2);
S = sin(theta);
C = cos(theta);
drdtheta = 0;
f1 = r*C+drdtheta*-S+length*(g1-g2)/2*-S;
f2 = r*S+drdtheta*C+length*(g1-g2)/2*C;
f3 = r*-C+drdtheta*S+length*(g1-g2)/2*-S;
f4 = r*-S+drdtheta*-C+length*(g1-g2)/2*C;
f=[f1; f2; f3; f4];
