function [Hglobal] = calcGlobalHmatrix (Nelements, Harray)
Hglobal = zeros(2*(Nelements+1), 2*(Nelements+1));
for i = 1:1:Nelements
    for j = 1:1:4
        for k = 1:1:4
            Hglobal(2*i+j-2, 2*i+k-2) = Hglobal(2*i+j-2, 2*i+k-2) + Harray(j,k,i);
        end
    end
end
for i = 1:1:2*(Nelements+1)
    Hglobal(i,i) = Hglobal(i,i) + 1e-3;
end