function [H] = calcHmatrix (Xcoord1, Ycoord1, Xcoord2, Ycoord2, m)
theta = atan((Ycoord2-Ycoord1)/(Xcoord2-Xcoord1));
length = ((Ycoord2-Ycoord1)^2+(Xcoord2-Xcoord1)^2)^(1/2);
S = sin(theta);
C = cos(theta);
H = length/6/m*[2*S^2 -2*S*C S^2 -S*C; -2*S*C 2*C^2 -S*C C^2; S^2 -S*C 2*S^2 -2*S*C; -S*C C^2 -2*S*C 2*C^2];


